package simulation_Lab12Version;

import java.awt.Dimension;
import java.awt.Graphics2D;

public interface Model {

	public int getWorldWidth();

	public int getWorldHeight();

	public void advanceNextState();

	public void notifyModelHasChanged();

	public void addListener(ModelListener view);

	public void drawCurrentState(Graphics2D g);

	public Dimension getWorldDimension();

	public void repositionAllSpritesToCentre();

	public void drawSceneBackground(Graphics2D g);

	public void moveShooterRight();

	public void moveShooterLeft();

	public void moveShooterDown();

	public void moveShooterUp();

	public void addSprite();

	public void fireShooter();

	public void rotateShooterRight();

	public void rotateShooterLeft();

}
